ALERT: Some images may not load properly within the Knowledge Base Article. If you see a broken image, please right-click and select 'Open image in a new tab'. We apologize for this inconvenience.

CA Gen 8.6 Linux IT install lsm.exe error "Fatal error: glibc detected an invalid stdio handle"

book

Article ID: 132807

calendar_today

Updated On:

Products

Gen

Issue/Introduction

Running CA Gen 8.6 Linux IT installer setup script encounters this error:

# ./setup

Fatal error: glibc detected an invalid stdio handle

Fatal error: glibc detected an invalid stdio handle

/tmp/extract23412/lsm: line 281: 23611 Aborted (core dumped) $LSMEXE -v 2> /dev/null 1>&2

Error: binary file lsm.exe cannot be executed

Please check that the correct system libraries are used (libc, libstdc++).

Cause

The version of glibc.i686 installed is glibc-2.17-222 or later which is not compatible with the version of ca-sm-installer in the Gen 8.6 IT iso file for Unix and Linux (DVD03150014E.iso)

Environment

Release : 8.6

Component : CA Gen Implementation Toolset for Linux

Operating System: Red Hat Enterprise Linux 7.x

Resolution

The following KB article covers a similar problem:  Installation error (lsm/glibc error) when installing the ITCM Agent on Redhat Enterprise Linux 7.x

Download the file 1558536331150ca-sm-installer.zip from above KB and binary transfer the file to the Linux server. Use command 'unzip 1558536331150ca-sm-installer.zip' to unzip the new version of ca-sm-installer.

Instead of mounting the file DVD03150014E.iso (which is read only) its contents need to be extracted so the new ca-sm-installer can be used. This can be done using the 7-Zip utility. Download p7zip for Linux (Posix) (x86 binaries) as a tar file from this page: https://www.7-zip.org/download.html

Untar and install it into /usr/local/bin e.g.

tar xvf p7zip_16.02_x86_linux_bin.tar

cd p7zip_16.02

./install.sh

Go to the directory containing the DVD03150014E.iso file. Extract the contents using command '7z x DVD03150014E_linux_unix_it.iso'

Go to to sub-directory linux and to backup existing ca-sm-installer file using command 'mv m-installer ca-sm-installer_bak'.

Copy the new ca-sm-installer file into the same directory.

Go back up 1 level and run the setup program './setup'.


It is possible other errors may be encountered e.g.

# ./setup

/tmp/extractnnnnn/installer/bin/vtinstalldialog: error while loading shared libraries: libncursesw.so.5: cannot open shared object file: No such file or directory

To resolve please install the corresponding ncurses package using command per KB article 11067: Required Libraries for ITCM Agent Installation on Linux :

yum install ncurses-libs.i686

 

# ./setup

Error: binary file lsm.exe cannot be executed

Please check that the correct system libraries are used (libc, libstdc++).
To resolve please install the corresponding libstdc++.i686 package using command per KB article 11067: Required Libraries for ITCM Agent Installation on Linux

yum install libstdc++.i686



Additional Information

Commands to check version of glibc.i686 installed:

yum list installed | grep glibc.i686

rpm -qa | grep glibc.*.i686